Subject: bug#17503: df (GNU coreutils) 8.21 not reporting for hfsplus ?

From: crquan <[email-masked]>
Date: Thu, 15 May 2014 15:48:07 -0700

On Thu, May 15, 2014 at 3:28 PM, crquan <[email-masked]> wrote:
> I found my df has a bug not showing entry for this /dev/sda2 hfsplus partition,
> this entry really exists in /proc/mounts and /etc/mtab, but df doesn't
> report it,
>
> I'm not sure if this is specific to hfsplus? or because of
> the mountpoint "/media/user/Macintosh\040HD" has a space?
> and /etc/mtab read it as "/media/user/Macintosh\134040HD",
> is that a bug of mount program as well?
>
>
> This is Linux mint running on a mac laptop,
>
> mint ~ # grep hfsplus /proc/mounts /etc/mtab
> /proc/mounts:/dev/sda2 /media/user/Macintosh\040HD hfsplus
> ro,nosuid,nodev,relatime,umask=22,uid=0,gid=0,nls=utf8 0 0
> /etc/mtab:/dev/sda2 /media/user/Macintosh\134040HD hfsplus
> ro,nosuid,nodev,relatime,umask=22,uid=0,gid=0,nls=utf8 0 0

Sorry, I feel it's more of a mount program's problem,
If I manually edit /etc/mtab of this line to
/dev/sda2 /media/user/Macintosh\040HD hfsplus
ro,nosuid,nodev,relatime,umask=22,uid=0,gid=0,nls=utf8 0 0

Then df can report this partition with no problem.

mint ~ # df -Th |grep hfsplus
/dev/sda2      hfsplus     94G   73G   21G  78% /media/user/Macintosh HD